<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f0"
    android:orientation="vertical">

    <include layout="@layout/supply_chain_top_bar" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_5"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_5"
        android:background="@drawable/shape_white_eight_corners_bg"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/iv_warehouse_img"
            android:layout_width="@dimen/dp_77"
            android:layout_height="@dimen/dp_77"
            android:layout_margin="@dimen/dp_10" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="@dimen/dp_6"
            android:layout_marginRight="@dimen/dp_10"
            android:layout_marginBottom="@dimen/dp_6"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    style="@style/WareHouse_Details_TextStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="庫存:" />

                <TextView
                    android:id="@+id/tv_warehouse_total"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@color/other_order_details_sure_btn_color"
                    android:textSize="@dimen/dp_19"
                    tools:text="100" />

                <TextView
                    android:id="@+id/tv_food_unit"
                    style="@style/WareHouse_Details_TextStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    tools:text="盒" />

            </LinearLayout>

            <View
                android:layout_width="wrap_content"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">


                <TextView
                    style="@style/WareHouse_Details_TextStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="庫存差異：" />

                <TextView
                    android:id="@+id/tv_warehouse_difference"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@color/color_3c"
                    android:textSize="@dimen/dp_17"
                    android:textStyle="bold"
                    tools:text="+100" />
            </LinearLayout>

            <View
                android:layout_width="wrap_content"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    style="@style/WareHouse_Details_TextStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="盤點庫存："
                    android:textSize="@dimen/dp_15" />

                <EditText
                    android:id="@+id/ed_warehouse_loss"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shape_square_edit_border_aa"
                    android:gravity="end"
                    android:hint="請輸入"
                    android:inputType="number"
                    android:padding="@dimen/dp_5"
                    android:text="0"
                    android:textColor="@color/theme_333_color"
                    android:textCursorDrawable="@drawable/cursor_theme"
                    android:textSize="@dimen/dp_18"
                    android:textStyle="bold" />
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>

    <com.scwang.smartrefresh.layout.SmartRefreshLayout
        android:id="@+id/smart_inventory_record"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="@dimen/dp_1"
            android:orientation="vertical">

            <include layout="@layout/item_inventory_record" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_warehouse_inventory_record"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />
        </LinearLayout>
    </com.scwang.smartrefresh.layout.SmartRefreshLayout>

</LinearLayout>